=== debian/control ===
Source: rust-hickory-recursor
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native (>= 1.67.0) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-async-recursion-1+default-dev <!nocheck>,
 librust-async-trait-0.1+default-dev (>= 0.1.43-~~) <!nocheck>,
 librust-bytes-1+default-dev <!nocheck>,
 librust-cfg-if-1+default-dev <!nocheck>,
 librust-enum-as-inner-0.6+default-dev <!nocheck>,
 librust-futures-util-0.3+std-dev (>= 0.3.5-~~) <!nocheck>,
 librust-hickory-proto-0.24-dev <!nocheck>,
 librust-hickory-resolver-0.24+tokio-runtime-dev <!nocheck>,
 librust-lru-cache-0.1+default-dev (>= 0.1.2-~~) <!nocheck>,
 librust-parking-lot-0.12+default-dev <!nocheck>,
 librust-thiserror-1+default-dev (>= 1.0.20-~~) <!nocheck>,
 librust-tokio-1+default-dev (>= 1.21-~~) <!nocheck>,
 librust-tokio-1+net-dev (>= 1.21-~~) <!nocheck>,
 librust-tracing-0.1+default-dev (>= 0.1.30-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/hickory-recursor]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/hickory-recursor
Homepage: https://hickory-dns.org/
X-Cargo-Crate: hickory-recursor
Rules-Requires-Root: no

Package: librust-hickory-recursor-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-async-recursion-1+default-dev,
 librust-async-trait-0.1+default-dev (>= 0.1.43-~~),
 librust-bytes-1+default-dev,
 librust-cfg-if-1+default-dev,
 librust-enum-as-inner-0.6+default-dev,
 librust-futures-util-0.3+std-dev (>= 0.3.5-~~),
 librust-hickory-proto-0.24+dns-over-h3-dev,
 librust-hickory-proto-0.24+dns-over-https-dev,
 librust-hickory-proto-0.24+dns-over-https-rustls-dev,
 librust-hickory-proto-0.24+dns-over-native-tls-dev,
 librust-hickory-proto-0.24+dns-over-openssl-dev,
 librust-hickory-proto-0.24+dns-over-quic-dev,
 librust-hickory-proto-0.24+dns-over-rustls-dev,
 librust-hickory-proto-0.24+dnssec-openssl-dev,
 librust-hickory-proto-0.24+dnssec-ring-dev,
 librust-hickory-proto-0.24+serde-config-dev,
 librust-hickory-proto-0.24-dev,
 librust-hickory-resolver-0.24+dns-over-h3-dev,
 librust-hickory-resolver-0.24+dns-over-https-rustls-dev,
 librust-hickory-resolver-0.24+dns-over-native-tls-dev,
 librust-hickory-resolver-0.24+dns-over-openssl-dev,
 librust-hickory-resolver-0.24+dns-over-quic-dev,
 librust-hickory-resolver-0.24+dns-over-rustls-dev,
 librust-hickory-resolver-0.24+dnssec-openssl-dev,
 librust-hickory-resolver-0.24+dnssec-ring-dev,
 librust-hickory-resolver-0.24+serde-config-dev,
 librust-hickory-resolver-0.24+tokio-runtime-dev,
 librust-lru-cache-0.1+default-dev (>= 0.1.2-~~),
 librust-parking-lot-0.12+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-thiserror-1+default-dev (>= 1.0.20-~~),
 librust-tokio-1+default-dev (>= 1.21-~~),
 librust-tokio-1+net-dev (>= 1.21-~~),
 librust-tracing-0.1+default-dev (>= 0.1.30-~~)
Provides:
 librust-hickory-recursor+default-dev (= ${binary:Version}),
 librust-hickory-recursor+dns-over-h3-dev (= ${binary:Version}),
 librust-hickory-recursor+dns-over-https-dev (= ${binary:Version}),
 librust-hickory-recursor+dns-over-https-rustls-dev (= ${binary:Version}),
 librust-hickory-recursor+dns-over-native-tls-dev (= ${binary:Version}),
 librust-hickory-recursor+dns-over-openssl-dev (= ${binary:Version}),
 librust-hickory-recursor+dns-over-quic-dev (= ${binary:Version}),
 librust-hickory-recursor+dns-over-rustls-dev (= ${binary:Version}),
 librust-hickory-recursor+dns-over-tls-dev (= ${binary:Version}),
 librust-hickory-recursor+dnssec-dev (= ${binary:Version}),
 librust-hickory-recursor+dnssec-openssl-dev (= ${binary:Version}),
 librust-hickory-recursor+dnssec-ring-dev (= ${binary:Version}),
 librust-hickory-recursor+serde-dev (= ${binary:Version}),
 librust-hickory-recursor+serde-config-dev (= ${binary:Version}),
 librust-hickory-recursor+testing-dev (= ${binary:Version}),
 librust-hickory-recursor+tls-dev (= ${binary:Version}),
 librust-hickory-recursor+tls-openssl-dev (= ${binary:Version}),
 librust-hickory-recursor-0-dev (= ${binary:Version}),
 librust-hickory-recursor-0+default-dev (= ${binary:Version}),
 librust-hickory-recursor-0+dns-over-h3-dev (= ${binary:Version}),
 librust-hickory-recursor-0+dns-over-https-dev (= ${binary:Version}),
 librust-hickory-recursor-0+dns-over-https-rustls-dev (= ${binary:Version}),
 librust-hickory-recursor-0+dns-over-native-tls-dev (= ${binary:Version}),
 librust-hickory-recursor-0+dns-over-openssl-dev (= ${binary:Version}),
 librust-hickory-recursor-0+dns-over-quic-dev (= ${binary:Version}),
 librust-hickory-recursor-0+dns-over-rustls-dev (= ${binary:Version}),
 librust-hickory-recursor-0+dns-over-tls-dev (= ${binary:Version}),
 librust-hickory-recursor-0+dnssec-dev (= ${binary:Version}),
 librust-hickory-recursor-0+dnssec-openssl-dev (= ${binary:Version}),
 librust-hickory-recursor-0+dnssec-ring-dev (= ${binary:Version}),
 librust-hickory-recursor-0+serde-dev (= ${binary:Version}),
 librust-hickory-recursor-0+serde-config-dev (= ${binary:Version}),
 librust-hickory-recursor-0+testing-dev (= ${binary:Version}),
 librust-hickory-recursor-0+tls-dev (= ${binary:Version}),
 librust-hickory-recursor-0+tls-openssl-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24+default-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24+dns-over-h3-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24+dns-over-https-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24+dns-over-https-rustls-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24+dns-over-native-tls-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24+dns-over-openssl-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24+dns-over-quic-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24+dns-over-rustls-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24+dns-over-tls-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24+dnssec-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24+dnssec-openssl-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24+dnssec-ring-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24+serde-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24+serde-config-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24+testing-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24+tls-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24+tls-openssl-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24.1-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24.1+default-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24.1+dns-over-h3-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24.1+dns-over-https-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24.1+dns-over-https-rustls-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24.1+dns-over-native-tls-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24.1+dns-over-openssl-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24.1+dns-over-quic-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24.1+dns-over-rustls-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24.1+dns-over-tls-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24.1+dnssec-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24.1+dnssec-openssl-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24.1+dnssec-ring-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24.1+serde-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24.1+serde-config-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24.1+testing-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24.1+tls-dev (= ${binary:Version}),
 librust-hickory-recursor-0.24.1+tls-openssl-dev (= ${binary:Version})
Description: *WARNING* This library is experimental - Rust source code
 Hickory DNS Recursor is a safe and secure DNS recursive resolver with DNSSEC
 support.  Hickory DNS is based on the Tokio and Futures libraries, which
 means  it should be easily integrated into other software that also use those
 libraries. This library can be used as in the server and binary for performing
 recursive lookups.
 .
 Source code for Debianized Rust crate "hickory-recursor"
